//+------------------------------------------------------------------+
//|                                             Poushkin_Pattern.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
//----
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Aqua
#property indicator_color2 Red
//----
extern int Signal=1;
extern bool Sound=true;
datetime LastTime;
//extern bool alert=true;
//extern string signal_1 = "<<<| |>>>";
//extern string signal_2 = "<<<| |>>>";
//----
double b1[];
double b2[];
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
  int init()
  {
   IndicatorDigits(Digits);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(0,234);
   SetIndexArrow(1,233);
   IndicatorBuffers(2);
   SetIndexBuffer(0,b1);
   SetIndexBuffer(1,b2);
   return(0);
  }

void Beep()
  { 
    if (Sound==true && LastTime!=Time[0])
    {
      PlaySound("news.wav");            
      Print( TimeToStr(Time[0],TIME_SECONDS));
      LastTime = Time[0];        
    }      
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
  int start() 
  {
   int counted_bars=IndicatorCounted();
   int i,limit;
   double high,high1,high2,high3,low,low1,low2,low3;
//----
   if (counted_bars<0) return(-1);
   if (counted_bars>0) counted_bars--;
   limit=Bars-1;
   if(counted_bars>=1) limit=Bars-counted_bars-1;
   if (limit<0) limit=0;
     for(i=limit;i>=0;i--)   
     {
      high=High[i];
      low=Low[i];
      high1=High[i+1];
      low1=Low[i+1];
      high2=High[i+2];
      low2=Low[i+2];
      high3=High[i+3];
      low3=Low[i+3];
//----
 if ((high2>high3) && (high2>high1) && (low1<low2))
  {
     if(Close[i]<Low[i+1])    b1[i]=High[i]+Signal*5*Point;
                             Beep();
  }
 if ((low2<low3) && (low2<low1) && (high1>high2))
  {     
    if( Close[i]>High[i+1])    b2[i]=Low[i]-Signal*5*Point;
                         Beep();
  }
 }
   //  if(alert)signal();
   return(0);
}
//+------------------------------------------------------------------+
void signal(){
   static datetime saveup;
   static datetime savedown;
   for(int loop = 0; loop < Bars-1; loop++){
      if(b1[loop] != 0){
         if(saveup != Time[loop]){
            saveup = Time[loop];
            PlaySound("alert.wav");
           // Alert(signal_1);
         }
         return;
      }
      if(b2[loop] != 0){
         if(savedown != Time[loop]){
            savedown = Time[loop];
            PlaySound("alert.wav");
           // Alert(signal_2);
         }
         return;
      }
   }
}
//+------------------------------------------------------------------+

